PANEL_USERPTR(3)

NAME
set_panel_userptr, panel_userptr - user data associated with panels

LIBRARY
libpanel

SYNOPSIS
#include <panel.h>
int
set_panel_userptr(PANEL *p, char *data);
char *
panel_userptr(PANEL *p);

DESCRIPTION
The function set_panel_userptr() can be used to associate arbitrary user data with a panel.

The data associated with a panel can be obtained with panel_userptr().

RETURN VALUES
Functions returning pointers will return NULL if an error is detected. The functions that return an int will return one of the following values:

OK  The function completed successfully.
ERR An error occurred in the function.

SEE ALSO
panel(3)